Bug 1414280 - need better packaging/placement of snap scheduler files
Summary: need better packaging/placement of snap scheduler files
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: build
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Mohammed Rafi KC
QA Contact: Rahul Hinduja
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-18 09:02 UTC by Milind Changire
Modified: 2018-11-19 04:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-19 04:55:55 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Milind Changire 2017-01-18 09:02:53 UTC
Description of problem:
Following files in glusterfs.spec.in should probably be in python and glusterfs specific directory:
%{_sbindir}/snap_scheduler.py
%{_sbindir}/gcron.py
%{_sbindir}/conf.py

Comment 2 Niels de Vos 2017-01-18 13:43:43 UTC
What is the purpose of these scripts? If they are expected to be executed on regular basis by an administrator, %{_sbin} is acceptable (but drop the .py extension). Otherwise they should probably be located in %{_libexec} (can keep the .py extension).

If any of these are Python packages that are imported in other scripts, the Python site-packages directory should be used instead. They may require simple executable scripts that are located elsewhere, and possibly generated automatically by setup.py.

Comment 4 Avra Sengupta 2017-03-14 05:36:26 UTC
(In reply to Niels de Vos from comment #2)
> What is the purpose of these scripts? If they are expected to be executed on
> regular basis by an administrator, %{_sbin} is acceptable (but drop the .py
> extension). Otherwise they should probably be located in %{_libexec} (can
> keep the .py extension).
> 
> If any of these are Python packages that are imported in other scripts, the
> Python site-packages directory should be used instead. They may require
> simple executable scripts that are located elsewhere, and possibly generated
> automatically by setup.py.


snap_scheduler.py and gcron.py are indeed executed on regular intervals. conf.py is a package, used by these two scripts. They are what constitutes snapshot scheduler today. Hence I feel the location of the files are still correct. 

We can rename snap_scheduler.py and gcron.py to drop the .py extension. we will also need to update our documentation to reflect the same.

Comment 7 Milind Changire 2018-01-30 07:32:09 UTC
Rafi,
Could you please take care of renaming and probably relocating these files.
conf.py is a very generic name; we need to name it to have a unique distinguished name.

Comment 9 Mohammed Rafi KC 2018-11-19 04:55:55 UTC
We will be fixing this bug in glusterd2 as we are planning to fix only critical issues in 3 series. So closing the bug.

With glusterd2, we are planning to have inbuilt scheduler written in go


Note You need to log in before you can comment on or make changes to this bug.